Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ValueDefaultAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ValueDefaultAdmin

    public class ValueDefaultAdmin

extends java.lang.Object

The `ValueDefaultAdmin.java` class - colleciton of ValueDefault admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ValueDefaultAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createValueDefault(LibrarySession sess, ParameterTable params)` Section variant of Create ValueDefault
`protected void` | `createValueDefault(LibrarySession sess, java.lang.String nameToken, java.lang.String descriptionToken)` inline variant of Create ValueDefault
`protected void` | `createValueDefault(LibrarySession sess, ValueDefaultDefinition def)` internal variant of Create ValueDefault
`protected void` | `freeValueDefault(LibrarySession sess, ParameterTable params)` Section variant of Free ValueDefault
`protected void` | `freeValueDefault(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free ValueDefault
`protected ValueDefault` | `lookupValueDefault(LibrarySession sess, java.lang.String name)` Lookup ValueDefault by name
`protected void` | `modifyValueDefault(LibrarySession sess, ParameterTable params)` Section variant of Modify ValueDefault
`protected void` | `modifyValueDefault(LibrarySession sess, java.lang.String name, ValueDefaultDefinition def)` internal variant of Modify ValueDefault
`protected void` | `setValueDefaultValue(LibrarySession sess, ParameterTable params)` Section variant of setValueDefaultValue
`protected void` | `setValueDefaultValue(LibrarySession sess, java.lang.String name, AttributeValue av)` internal variant of Modify ValueDefault
`protected void` | `showValueDefault(LibrarySession sess, ParameterTable params)` Section variant of showValueDefault
`protected void` | `showValueDefault(LibrarySession sess, java.lang.String name)` Inline/internal variant of showValueDefault
`protected void` | `showValueDefault(LibrarySession sess, ValueDefault valdft)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ValueDefaultAdmin

    public ValueDefaultAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createValueDefault

    protected void createValueDefault(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Section variant of Create ValueDefault

  Throws:
    `IfsException`

### createValueDefault

    protected void createValueDefault(LibrarySession sess,
                                      java.lang.String nameToken,
                                      java.lang.String descriptionToken)
                               throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  inline variant of Create ValueDefault

  Throws:
    `IfsException`

### createValueDefault

    protected void createValueDefault(LibrarySession sess,
                                      ValueDefaultDefinition def)
                               throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  internal variant of Create ValueDefault

  Throws:
    `IfsException`

### modifyValueDefault

    protected void modifyValueDefault(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Section variant of Modify ValueDefault

  Throws:
    `IfsException`

### modifyValueDefault

    protected void modifyValueDefault(LibrarySession sess,
                                      java.lang.String name,
                                      ValueDefaultDefinition def)
                               throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  internal variant of Modify ValueDefault

  Throws:
    `IfsException`

### setValueDefaultValue

    protected void setValueDefaultValue(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Section variant of setValueDefaultValue

  Throws:
    `IfsException`

### setValueDefaultValue

    protected void setValueDefaultValue(LibrarySession sess,
                                        java.lang.String name,
                                        AttributeValue av)
                                 throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  internal variant of Modify ValueDefault

  Throws:
    `IfsException`

### freeValueDefault

    protected void freeValueDefault(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Section variant of Free ValueDefault

  Throws:
    `IfsException`

### freeValueDefault

    protected void freeValueDefault(LibrarySession sess,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Inline/internal variant of Free ValueDefault

  Throws:
    `IfsException`

### showValueDefault

    protected void showValueDefault(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Section variant of showValueDefault

  Throws:
    `IfsException`

### showValueDefault

    protected void showValueDefault(LibrarySession sess,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Inline/internal variant of showValueDefault

  Throws:
    `IfsException`

### showValueDefault

    protected void showValueDefault(LibrarySession sess,
                                    ValueDefault valdft)
                             throws IfsException

  Throws:
    `IfsException`

### lookupValueDefault

    protected ValueDefault lookupValueDefault(LibrarySession sess,
                                              java.lang.String name)
                                       throws IfsException

  Description copied from class: `ValueDefaultAdmin`
  Lookup ValueDefault by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD